package com.kiisoo.ic.activity.event;

import com.kiisoo.ic.activity.bean.ActivityInstanceVO;
import com.kiisoo.ic.activity.entity.PmnActivityInstance;
import org.springframework.context.ApplicationEvent;

public class ActivityInstanceCreatedEvent extends ApplicationEvent {

    private PmnActivityInstance pmnActivityInstance;

    private ActivityInstanceVO activityInstanceVO;

    public ActivityInstanceCreatedEvent(Object source, PmnActivityInstance pmnActivityInstance, ActivityInstanceVO activityInstanceVO) {
        super(source);
        this.pmnActivityInstance = pmnActivityInstance;
        this.activityInstanceVO = activityInstanceVO;
    }

    public PmnActivityInstance instance() {
        return this.pmnActivityInstance;
    }

    public ActivityInstanceVO instanceVO() {
        return this.activityInstanceVO;
    }
}
